Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
siginfo_t Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Data Fields
int | si_signo
int | si_code
pid_t | si_pid
uid_t | si_uid
int | si_errno
union {
__uint32_t __pad [32]
struct _sigcommune _si_commune
struct {
union {
sigval_t si_sigval
sigval_t si_value
} |
struct {
timer_t si_tid
unsigned int si_overrun
} |
} |
struct {
int si_status
clock_t si_utime
clock_t si_stime
} |
void * si_addr
}; |

## Detailed Description

Definition at line 2112 of file rb_mjit_min_header-2.7.0.h.

## Field Documentation

## ◆ @220

__extension__ { ... }

## ◆ __pad

__uint32_t siginfo_t::__pad[32]

Definition at line 2121 of file rb_mjit_min_header-2.7.0.h.

## ◆ _si_commune

struct _sigcommune siginfo_t::_si_commune

Definition at line 2122 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_addr

void* siginfo_t::si_addr

Definition at line 2142 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_code

int siginfo_t::si_code

Definition at line 2115 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_errno

int siginfo_t::si_errno

Definition at line 2118 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_overrun

unsigned int siginfo_t::si_overrun

Definition at line 2133 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_pid

pid_t siginfo_t::si_pid

Definition at line 2116 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_signo

int siginfo_t::si_signo

Definition at line 2114 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_sigval

sigval_t siginfo_t::si_sigval

Definition at line 2127 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_status

int siginfo_t::si_status

Definition at line 2138 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_stime

clock_t siginfo_t::si_stime

Definition at line 2140 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_tid

timer_t siginfo_t::si_tid

Definition at line 2132 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_uid

uid_t siginfo_t::si_uid

Definition at line 2117 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_utime

clock_t siginfo_t::si_utime

Definition at line 2139 of file rb_mjit_min_header-2.7.0.h.

## ◆ si_value

sigval_t siginfo_t::si_value

Definition at line 2128 of file rb_mjit_min_header-2.7.0.h.

The documentation for this struct was generated from the following file:

- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h